=== debian/changelog ===
multipath-tools (0.7.4-2ubuntu3.2) bionic-security; urgency=medium

  * SECURITY UPDATE: authorization bypass
    - debian/patches/CVE-2022-41974.patch: ignore duplicated multipathd
      command keys in multipathd/main.c, multipathd/cli.c.
    - CVE-2022-41974

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 31 Oct 2022 12:52:55 -0400

multipath-tools (0.7.4-2ubuntu3.1) bionic; urgency=medium

  * d/p/lp-1891202-*: fix handling of sgio_get_vpd for e.g. long iscsi target
    names as generated by NetApp E-Series RDAC (LP: #1891202)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 28 Sep 2020 16:14:24 +0200

multipath-tools (0.7.4-2ubuntu3) bionic; urgency=medium

  * d/p/kpartx-print-loop-deleted-to-stdout-not-stderr.patch: Print loop
    deleted message to stdout again, not stderr; to fix autopkgtest

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 05 Feb 2018 11:46:37 +0100

multipath-tools (0.7.4-2ubuntu2) bionic; urgency=medium

  * d/p/kpartx-Improve-finding-loopback-device-by-file.patch: Improve
    finding loopback devices (LP: #1747044)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 05 Feb 2018 10:06:19 +0100

multipath-tools (0.7.4-2ubuntu1) bionic; urgency=medium

  * Merge from Debian. (LP: #1710697, LP: #1711749) Remaining changes:
    - d/control:
      - multipath-udeb: add sg3-udeb Depends
    - d/rules: Move udev rules to priority 95, because rules that load modules
      should be >90.
    - d/multipath-tools.preinst: modprobe dm-multipath; This will make sure
      that multipathd will be able to start.
    - Split kpartx initramfs bits into kpartx-boot for dmraid (LP 941874)
      - d/initramfs/kpartx.hook
      - d/kpartx-boot.postinst
      - d/kpartx-boot.postrm
      - d/control: Add kpartx-boot package for dmraid
      - d/rules: Install kpartx initramfs hook
      - d/kpartx.install: install all arch /lib* kpartx udev rules
    - patches to multipath source
      - d/p/1000--set-umask-in-multipathd.patch: Set umask in multipathd.
      - d/p/kpartx_more_loopback_fixes.patch: fix loopback mounted
        files some more: since we stat() the loopback device node, we can't rely
        on S_ISREG() tests to handle this case, and should look at the device
        itself instead. (LP 1543430)
      - d/p/enable-find-multipaths.patch: re-enable find_multipaths
        by default -- see the removed 'add_find-multipaths.patch' (LP 1463046)
   - multipath initramfs fixes for booting from multipathed devices
      - d/initramfs/hooks: also copy wwids file on the installed system to
        ensure all paths come up on boot. (LP 1479929)
      - d/initramfs/hooks: install multipathd and required directories.
      - d/initramfs/hooks: copy multipath udev rules to initramfs
      - d/initramfs/hooks: do not copy kpartx rules to initramfs
      - d/initramfs/local-bottom: remember to stop multipathd.
      - d/initramfs/local-premount: wait for udev to settle before the call to
        resolve_device() in local_mount_root(), so the by-uuid/ symlinks have a
        chance to be updated by the multipath udev rules (LP 1503286).
      - d/initramfs/local-premount: Run multipath with -B so not to assign names
        nor change /etc/multipath/bindings during initramfs (LP 1561103)
      - d/rules: install d/initramfs/local-bottom
      - d/rules: install d/initramfs/local-premount
   - Disable -fexceptions on multipath-udeb (LP 1489379): the flag causes
     libchecktur.so to link with libgcc_s.so.1 (even with -static-libgcc),
     which is not available in the installer environment.
     - d/p/disable-fexceptions-udeb.patch: conditionally disable -fexceptions
       with CFLAGS_DISABLE_FEXCEPTIONS.
     - d/rules: set CFLAGS_DISABLE_FEXCEPTIONS to build multipath-udeb.
   - Remove d/initramfs/local-top (redundant with other initramfs scripts):
     - init-top: take over loading modules (dm-multipath and SCSI device
       handlers); move the missing dm-emc there (now scsi-dh-emc;
       see BTS 567014).
     - d/rules: do not install local-top anymore.
     - remove d/initramfs/local-top
    - Fixes typo in package description (availibility -> availability)
      (LP 1231182)
    - d/control mark transition of file /etc/init.d/multipath-tools-boot
      according to case #9 of https://wiki.debian.org/PackageTransition
    - debian/initramfs/local-bottom: wait for the multipathd unix socket
      to close, so to avoid multipathd.socket unit failure. (LP 1682178)
    - debian/initramfs/hooks: Add dm-queue-length: users may want to change
      from the default selector and should be able to do so. (LP 1673350)
  * Dropped changes:
    - Remove partition device nodes of individual paths (for LVM on multipath)
      on the new multipath-tools with udev property blacklisting (LP 1540401)
      + Replaced by 68-del-part-nodes.rules
      + known as "dm-mpath-lvm.rules", also dropped initramfs for that
  * New changes:
    - Install dm-parts.rule
    - Fix /usr/lib/udev to be /lib/udev
    - Move udev rules at position 11 to position 56
    - Fix 11-dm-mpath.rules to check for DM_UDEV_RULES, not DM_UDEV_RULES_VSN
    - d/rules: Run dh_clean from clean target
    - Install 68-del-part-nodes.rules
    - Import upstream commit to fix crash in multipathd
    - Adjust initramfs integration for new udev rules
    - Apply fix from fedora to trigger change uevent on device creation,
      this also ensures new devices are discovered automatically.
    - debian/tests/tgtbasedmpaths: Add sleep to allow for device creation
    - d/patches: Add DEP-3 headers to our own patches

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 24 Jan 2018 10:57:46 +0100

multipath-tools (0.7.4-2) unstable; urgency=medium

  * Upload to Unstable 
  * [5559c5f] Make the package reproducible across builds.
    Thanks to Chris Lamb (Closes: #885408)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 27 Dec 2017 11:20:03 +0530

multipath-tools (0.7.4-1) experimental; urgency=medium


