=== debian/changelog ===
multipath-tools (0.7.9-3+deb10u1+rebuild) buster; urgency=medium

  * [775fe68] kpartx: use correct path to partx in udev rule (Closes: #959727)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 21 Jun 2020 16:41:48 +0000

multipath-tools (0.7.9-3) unstable; urgency=medium

  * [51a7724] Reliably extract the running systemd version
    (Closes: #924860)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 18 Mar 2019 20:56:38 +0530

multipath-tools (0.7.9-2) unstable; urgency=medium

  * [c2f0c23] Enable proper cross build.
    Thanks to Helmut Grohne (Closes: #916521)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 27 Dec 2018 19:54:40 +0530

multipath-tools (0.7.9-1) unstable; urgency=medium

  * [c3bbe11] Fix installation of incorrect file to del-part-nodes.rules.
    Thanks to Jean-François Remy (Closes: #914158)
  * [9421efd] Add filter config to exclude file .gitignore
  * [16da907] New upstream version 0.7.9

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 20 Nov 2018 12:54:25 +0530

multipath-tools (0.7.8-2) unstable; urgency=medium

  * [8b8f73c] Update debian/gbp.conf
  * Upload to Unstable

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 26 Oct 2018 19:20:27 +0530

multipath-tools (0.7.8-1) experimental; urgency=medium

  [ Ritesh Raj Sarraf ]
  * [1dea65d] New upstream version 0.7.8 (Closes: #909926)
  * [2d9b752] Refresh patches and drop some that are now applied upstream
  * [63ac09f] Drop RADOS support

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 23 Oct 2018 19:45:00 +0530

multipath-tools (0.7.7-3) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * [fc0938c] Synchronize loading of kernel modules
    dm-round-robin is auto-loaded by the kernel if needed, but the
    scsi_dh_* modules are not. They need to be loaded before setting
    up the mappings. This makes sure all paths (initramfs, early and
    late sysvinit and systemd) load the same modules. (Closes: #827407)
  * [3d59bff] Add myself to Uploaders:
  * [f78c116] Update Priority to be optional instead of deprecated extra
  * [7543c5d] debian/tests/control: Fix Restrictions syntax

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 07 Oct 2018 20:50:13 +0530

multipath-tools (0.7.7-2) unstable; urgency=medium

  * [315dacd] Also include the wwids file
  * [57d84ce] Update NEWS file about systemd integration

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 07 Oct 2018 20:20:57 +0530

multipath-tools (0.7.7-1) unstable; urgency=medium

  * [d4529eb] Switch packaging repository to Salsa (Closes: #899615)
  * [d2c41ec] Use tracker as maintainer email address
  * [1d49dfa] New upstream version 0.7.7
  * [012281c] Refresh patches and drop one patch which is merged
    upstream

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 12 Jun 2018 11:34:19 +0545

multipath-tools (0.7.4-3) unstable; urgency=medium

  [ Ritesh Raj Sarraf ]
  * [a22d317] Make build reproducible.
    Thanks to Chris Lamb (Closes: #885408)
  * [f029a76] Add linux-initramfs-tool as a initramfs dependency
    instead of initramfs-tools. This extends multipath to other
    implementations like dracut.
    Thanks to Thomas Lange (Closes: #887917)

  [ Julian Andres Klode ]
  * [1b595cb] Move dm-mpath rules from position 11 to position 56
  * [6053243] Install dm-parts.rule
  * [c1a1a53] Fix /usr/lib/udev to be /lib/udev
  * [c80ab6e] Fix 11-dm-mpath.rules to check for DM_UDEV_RULES,
    not DM_UDEV_RULES_VSN
  * [75d7eff] d/rules: Run dh_clean from clean target
  * [83c25f2] Install 68-del-part-nodes.rules
  * [5136bc1] Import upstream commit to fix crash in multipathd
  * (Closes: #886938)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 10 Feb 2018 11:23:20 +0530
