=== debian/control ===
Source: multipath-tools
Section: admin
Priority: optional
Maintainer: Debian DM Multipath Team <team+linux-blocks@tracker.debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>, Ritesh Raj Sarraf <rrs@debian.org>, Chris Hofstaedtler <zeha@debian.org>
Build-Depends: debhelper (>= 9.20160709), po-debconf, libdevmapper-dev (>= 2:1.02.20), libreadline-dev, libaio-dev, dpkg-dev (>= 1.16.1~), libudev-dev, libsystemd-dev, systemd, liburcu-dev, pkg-config, libjson-c-dev
Vcs-Git: https://salsa.debian.org/linux-blocks-team/multipath-tools.git
Vcs-Browser: https://salsa.debian.org/linux-blocks-team/multipath-tools
Standards-Version: 3.9.8
Homepage: http://christophe.varoqui.free.fr/

Package: multipath-tools
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, udev (>> 136-1), kpartx (>= ${binary:Version}), lsb-base (>= 3.0-6), libaio1 (>= 0.3.106-8), sg3-utils-udev
Breaks: multipath-tools-initramfs (<= 1.0.1),
 multipath-tools-boot (<= 0.4.8+git0.761c66f-2~)
Suggests: multipath-tools-boot
Description: maintain multipath block device access
 These tools are in charge of maintaining the disk multipath device maps and
 react to path and map events.
 .
 If you install this package you may have to change the way you address block
 devices. See README.Debian for details.

Package: kpartx
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, udev (>> 136-1), dmsetup (>= 2:1.02.24)
Replaces: multipath-tools (<< 0.4.7-3)
Description: create device mappings for partitions
 Kpartx can be used to set up device mappings for the partitions of any
 partitioned block device. It is part of the Linux multipath-tools.

Package: multipath-tools-boot
Architecture: all
Depends: ${misc:Depends}, initramfs-tools | linux-initramfs-tool, lsb-base (>= 3.0-6),
 multipath-tools (>= ${source:Version}), multipath-tools (<< ${source:Version}.1~)
Replaces: multipath-tools-initramfs (<< 1.0.1+nmu1), multipath-tools (<< 0.5.0+git1.656f8865-6)
Breaks: multipath-tools-initramfs (<< 1.0.1+nmu1), multipath-tools (<< 0.5.0+git1.656f8865-6)
Description: Support booting from multipath devices
 This package contains the necessary support for booting from a multipath
 device:
 .
  * copy over multipath.conf and persistent bindings if necessary
  * load the necessary kernel modules
  * detect multipath block devices
 .
 Don't install this package if you're not booting from a multipath device.

Package: multipath-udeb
Package-Type: udeb
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, multipath-modules, kpartx-udeb
Section: debian-installer
Description: maintain multipath block device access - udeb package
 This is a udeb, or a microdeb, for the debian-installer.
 .
 These tools are in charge of maintaining the disk multipath device maps and
 react to path and map events.

Package: kpartx-udeb
Package-Type: udeb
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: debian-installer
Description: create device mappings for partitions - udeb package
 This is a udeb, or a microdeb, for the debian-installer.
 .
 Kpartx can be used to set up device mappings for the partitions of any
 partitioned block device. It is part of the Linux multipath-tools.
