=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
-export KBUILD_BUILD_TIMESTAMP = $(SOURCE_DATE_EPOCH)
+export KBUILD_BUILD_TIMESTAMP = "@$(SOURCE_DATE_EPOCH)"
 #
 
 # Uncomment this to turn on verbose mode.
@@ -29,13 +29,13 @@
 build-stamp: clean-tree
 	dh_testdir
 	
-	[ ! -f kpartx/del-part-nodes.rules ] || cp kpartx/dm-parts.rules debian/kpartx.del-part-nodes.udev
+	[ ! -f kpartx/del-part-nodes.rules ] || cp kpartx/del-part-nodes.rules debian/kpartx.del-part-nodes.udev
 	[ ! -f kpartx/dm-parts.rules ] || cp kpartx/dm-parts.rules debian/kpartx.dm-parts.udev
 	[ ! -f kpartx/kpartx.rules ] || cp kpartx/kpartx.rules debian/kpartx.udev
 	[ ! -f multipath/multipath.rules ] || cp multipath/multipath.rules debian/multipath.udev
 	[ ! -f multipath/11-dm-mpath.rules ] || cp multipath/11-dm-mpath.rules debian/dm-mpath.udev
 
-	dh_auto_build -- $(OPTFLAGS) LIB=/lib SYSTEMDPATH=/lib USE_SYSTEMD=1 USE_RADOS=1
+	dh_auto_build -- $(OPTFLAGS) LIB=/lib SYSTEMDPATH=/lib USE_SYSTEMD=1
 
 	touch $@
 
@@ -43,11 +43,11 @@
 build-multipath-udeb-stamp:
 	dh_testdir
 
-	DEB_CFLAGS_MAINT_APPEND="-static-libgcc" CFLAGS_DISABLE_FEXCEPTIONS=1 dh_auto_build -- $(OPTFLAGS) LIB=/lib USE_SYSTEMD=0 USE_RADOS=0
+	DEB_CFLAGS_MAINT_APPEND="-static-libgcc" dh_auto_build -- $(OPTFLAGS) LIB=/lib USE_SYSTEMD=0
 	
 	# store files for install target
 	mkdir -p $(CURDIR)/debian/tmp-multipath-udeb/sbin
-	$(MAKE) install INSTALL_PROGRAM=$(INSTALL_PROGRAM) DESTDIR=$(CURDIR)/debian/tmp-multipath-udeb LIB=/lib USE_SYSTEMD=0 USE_RADOS=0
+	$(MAKE) install INSTALL_PROGRAM=$(INSTALL_PROGRAM) DESTDIR=$(CURDIR)/debian/tmp-multipath-udeb LIB=/lib USE_SYSTEMD=0
 
 	touch $@
 
@@ -71,11 +71,8 @@
 
 	# initramfs stuff:
 	install -D -m 755 debian/initramfs/hooks $(INITRAMFS)/hooks/multipath
-	install -D -m 755 debian/initramfs/kpartx.hook $(CURDIR)/debian/kpartx-boot/usr/share/initramfs-tools/hooks/kpartx
-	install -D -m 755 debian/initramfs/local-premount \
-		$(INITRAMFS)/scripts/local-premount/multipath
-	install -D -m 755 debian/initramfs/local-bottom \
-		$(INITRAMFS)/scripts/local-bottom/multipath
+	install -D -m 755 debian/initramfs/local-top \
+		$(INITRAMFS)/scripts/local-top/multipath
 	install -D -m 755 debian/initramfs/init-top \
 		$(INITRAMFS)/scripts/init-top/multipath
 
@@ -95,7 +92,7 @@
 	dh_installdirs
 
 	mkdir -p $(CURDIR)/debian/tmp/sbin
-	$(MAKE) install INSTALL_PROGRAM=$(INSTALL_PROGRAM) DESTDIR=$(CURDIR)/debian/tmp LIB=/lib SYSTEMDPATH=/lib USE_SYSTEMD=1 USE_RADOS=1
+	$(MAKE) install INSTALL_PROGRAM=$(INSTALL_PROGRAM) DESTDIR=$(CURDIR)/debian/tmp LIB=/lib SYSTEMDPATH=/lib USE_SYSTEMD=1
 	install -m 755 debian/dmsetup_env $(CURDIR)/debian/tmp/lib/udev/
 	dh_install -X.rules --fail-missing -Nmultipath-udeb --sourcedir=$(CURDIR)/debian/tmp
 	dh_install -Xkpartx_id -X.rules -X.service -X.socket --fail-missing -pmultipath-udeb --sourcedir=$(CURDIR)/debian/tmp-multipath-udeb
@@ -128,7 +125,7 @@
 	dh_lintian -a
 	dh_systemd_enable -pmultipath-tools multipathd.service
 	dh_installinit -pmultipath-tools
-	dh_installudev -pkpartx --priority=95
+	dh_installudev -pkpartx
 	dh_installudev -pkpartx --name=dm-parts --priority=56
 	dh_installudev -pkpartx --name=del-part-nodes --priority=68
 	dh_installudev -pmultipath-tools --name=multipath
